.pl-6, .px-6 {
    padding-left: 1.75rem!important;
}
.pl-7, .px-7 {
    padding-left: 2rem!important;
}
.pl-8, .px-8 {
    padding-left: 2.25rem!important;
}

/* DataTable */
.table td{
    padding: 0.1rem 0.3rem;
}

.table td, .table th{
    vertical-align: middle;
}

#dataTableBuilder thead,
#dataTableBuilder tbody
{
    font-size: 0.75rem;
}

.container-fluid .row .card .card-header>.card-tools{
    margin-right: 0;
}
.container-fluid .row .card .card-header{
    padding: 0.3rem 0.8rem;
}
.container-fluid .row .card .card-body{
    padding: 0.3rem 0.8rem;
}
.dataTables_wrapper .row .dataTables_filter label,
.dataTables_wrapper .row .dataTables_length label
{
    margin: 0;
}
.container-fluid .row .card .card-header .card-title{
    margin: 5px 0 0 0;
}


/* Custom Select2 */
.select2-search--dropdown .select2-search__field{
    padding: 0.2rem 0.35rem;
}
.select.form-control-sm~.select2-container--default,
.select2-selection__rendered{
    font-size: 150%;
}

/* Custom Content Header */
.content-header {
    padding: 5px 0.5rem;
}
.alert{
    margin-bottom: 5px;
}

#dataTableBuilder_paginate, #dataTableBuilder_info {
    margin-top: 10px;
}

/* Custom form label */
.row .form-group {
    margin-bottom: 0.5rem;
}
.row .form-group label,
.row .form-group p
{
    margin-bottom: 0.1rem;
}

/* Custom Form Input Icon */
.input-group-prepend .input-group-text i{
    width: 22px;
}

/* Custom Login Page */
/* .login-page .login-box .card .card-footer {
    padding: 0.8rem;
} */

/* Custom Top Navbar */
.main-header, .navbar, .navbar-expand, .navbar-blue, .navbar-light{
    height: 51px;
}
.layout-navbar-fixed .wrapper .content-wrapper {
    margin-top: calc(3.5rem - 5px);
}
.navbar-nav>.user-menu .user-image{
    width: 25px;
    height: 25px;
}
.navbar-nav>.user-menu .user-image{
    margin-top: auto;
    margin-bottom: auto;
}
.layout-navbar-fixed .wrapper .sidebar-dark-lightblue .brand-link:not([class*=navbar]){
    background-color: #367fa9;
    background-image: url('/images/logox.png');
    background-repeat: no-repeat;
    background-position: top;
}
.brand-link-custom{
    height: 51px;
}
.layout-navbar-fixed.sidebar-mini-md.sidebar-collapse .wrapper .brand-link, .layout-navbar-fixed.sidebar-mini-xs.sidebar-collapse .wrapper .brand-link, .layout-navbar-fixed.sidebar-mini.sidebar-collapse .wrapper .brand-link{
    height: calc(3.5rem - 5px);
    background-image: url(/images/logo_th_mini.png);
    background-position: center;
}
.nav-item-notification {
    font-size: 1.3em;
}


/* Custom form input file */
.custom-file, .custom-file-input, .custom-file-label{
    height: calc(1.8125rem + 2px);
}


/* loading */
.loadingShow{
    position: absolute;
    z-index: 999;
    background: #ffffff80;
    height: calc(100%);
    width: calc(100%);
    min-height: 40px;
    top: 0px;
    background-image: url('/images/loading-buffering.gif');
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    padding-top: 10px;
}
.loadingShow::before{
    content: "Please wait...";
    padding-left: 47%;
    font-style: italic;
}

/* blink text */
.blink_text {
    animation:2s blinker linear infinite;
    -webkit-animation:1s blinker linear infinite;
    -moz-animation:1s blinker linear infinite;
    color: red;
}

@-moz-keyframes blinker {
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

@-webkit-keyframes blinker {
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

@keyframes blinker {
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

div.container-fluid div.row div.card div.card-body.card-widget {
    padding: 0px 0px 10px 0px;
}
div.card-body div.outer {
    height: 140px;
    margin: 0 auto;
    justify-content: space-evenly;
    flex-wrap: nowrap;
}

div.card-body div.outer div.chart-container {
    height: 130px;
    min-width: 157px;
    max-width: 170px;
}

div.card-body.card-widget table.table.table-bordered td{
    padding: 0.65rem;
}

div.card .table-bordered thead td, div.card  .table-bordered thead th, div.card  .table-bordered td, div.card  .table-bordered th{
    border: 1px solid #f4f4f4;
}
